<?php

namespace Modules\ServiceHelper\app\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreDiscontRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'value' => 'required', 'string',
            'badge' => 'required', 'string',
            'status' => 'nullable',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }
}
